#!/usr/bin/perl -w

#use Data::Dumper;
use strict;
use warnings;

use CGI;
use CGI::Carp qw( fatalsToBrowser );

use lib '/usr/local/pf/lib';
use pf::db;

use SOAP::Transport::HTTP;

SOAP::Transport::HTTP::CGI
    -> dispatch_to('PFEvents')
    -> handle;

package PFEvents;

sub event_add {
  my ($class, $date, $srcip, $type, $sid, $auth) = @_;
  main::pflogger("PDP: $date $srcip $type $sid $auth ",1);
  my $dbh = main::db_connect();

  # do violation addition 
  main::pflogger("PDP: violation: $sid : $srcip",1);
  my $srcmac = main::ip2mac($srcip);
  main::pflogger("PDP: violation: $srcip resolved to $srcmac [$sid]",1);

  if ($srcmac) {
    if (!main::whitelisted_mac($srcmac) && main::valid_mac($srcmac) && main::trappable_ip($srcip) && main::trappable_mac($srcmac)) {
       main::violation_add($srcmac, $sid);
    }
  }else{
    main::pflogger("PDP: Mac not found for IP: $srcip",1);
    return(0);
  }  
 return (1);
}

