#!/usr/bin/perl
#use Data::Dumper;
use strict;
use warnings;

use CGI;
use CGI::Carp qw( fatalsToBrowser );

use lib '/usr/local/pf/lib';
use pf::config;
use pf::iplog;
use pf::util;
use pf::web;
# not SUID now!
#use pf::rawip;
use pf::node;
use pf::class;
use pf::violation;

my $q = new CGI;

my $result;
my $ip              = $q->remote_addr();
my $destination_url = $q->param("destination_url");
my $enable_menu     = $q->param("enable_menu");
my $mac             = ip2mac($ip);
my %tags;

# valid mac?
if (!valid_mac($mac)) {
  pflogger("$ip not resolvable, generating error page",1);
  generate_error_page("You are not found in the PacketFence database.   Rebooting your system should resolve this problem.");  
  exit(0);
}

pflogger("$mac being redirected", 8);

# registration auth request?
if (defined($q->param('mode')) && $q->param('auth')) {
 my $type=$q->param('auth');
 if ($type eq "skip"){
    pflogger("User is trying to skip redirecting to release.cgi ",1);
    print $q->redirect("/cgi-bin/release.cgi?mode=skip&destination_url=$destination_url");    
  }else{
    pflogger("redirecting to register-$type.cgi for reg authentication ",1);
    print $q->redirect("/cgi-bin/register-$type.cgi?mode=register&destination_url=$destination_url");
  }
}


#check to see if node needs to be registered
#
my $unreg = node_unregistered($mac);
if ($unreg && isenabled($Config{'trapping'}{'registration'})){
  pflogger("$mac redirected to registration page", 8);
  generate_registration_page($destination_url,$mac);
  exit(0);
} 

# check violation 
#
my $violation = violation_view_top($mac);
if ($violation){
  if ($unreg && $Config{'trapping'}{'registration'} =~ /^onviolation$/) {
    pflogger("$mac redirected to registration page", 8);
    generate_registration_page($destination_url,$mac);
    exit(0);
  }
  my $vid=$violation->{'vid'};
  my $class=class_view($vid);
  # enable button
  if ($enable_menu) {
    pflogger("enter enable_menu",1);
    #my $destination_url = $q->param('destination_url');
    $tags{'destination_url'} = $destination_url;
    $tags{'violation_id'} = $vid;
    $tags{'enable_text'} = $class->{'button_text'};
    print $q->header;
    print STDOUT parse_template(\%tags, "$install_dir/html/user/content/templates/enabler.html");
  } elsif  ($class->{'auto_enable'} eq 'Y'){
    pflogger("auth_enable =  Y",1);
    $tags{'violation_url'} = $class->{'url'};
    $tags{'destination_url'} = $destination_url;
    print $q->header;
    print STDOUT parse_template(\%tags, "$install_dir/html/user/content/templates/redirect.html");
  } else {
    pflogger("no button",1);
    # no enable button 
    print $q->redirect($class->{'url'});
  }
} else {
  pflogger("$mac already registered or registration disabled, freeing mac",2);
  if ($Config{'network'}{'mode'} =~ /passive/i) {
    my $cmd = $install_dir."/bin/pfcmd manage freemac $mac";
    my $output = qx/$cmd/;
  }
  pflogger("freed $mac and redirecting to ".$Config{'trapping'}{'redirecturl'}, 8);
  print $q->redirect($Config{'trapping'}{'redirecturl'});
}
