#!/usr/bin/perl

use Date::Parse;
use CGI::Carp qw( fatalsToBrowser );
use CGI;
use strict;
use warnings;

use lib '/usr/local/pf/lib';
use pf::config;
use pf::iplog;
use pf::util;
use pf::web;
#use pf::rawip;
use pf::node;
use pf::violation;

my %params;
my $q               = new CGI;
my $ip              = $q->remote_addr;
my $mac             = ip2mac($ip);
my $destination_url = $q->param("destination_url");

$destination_url = $Config{'trapping'}{'redirecturl'} if (!$destination_url);

if (!valid_mac($mac)) {
  pflogger("MAC not found for $ip generating Error Page",1);
  generate_error_page("Unable to resolve $ip to MAC address.  Rebooting your system should resolve this problem.");
  exit(0);
}

pflogger("$ip - $mac ", 1);

my %info;

# Pull username
$info{'pid'}=1;
$info{'pid'}=$q->remote_user if (defined $q->remote_user);

# Pull browser user-agent string
$info{'user_agent'}=$q->user_agent;

# pull parameters from query string
foreach my $param($q->param()) {
  $params{$param} = $q->param($param);
}

if (defined($params{'mode'})) {
  if ($params{'mode'} eq "register") {

    my $maxnodes = 0;
    $maxnodes = $Config{'registration'}{'maxnodes'} if (defined $Config{'registration'}{'maxnodes'});
    my $pid = $info{'pid'};

    my $node_count = node_pid($pid) if ($pid ne '1');

    if ($pid ne '1' && $maxnodes !=0 && $node_count >= $maxnodes ) {
      pflogger("$maxnodes are already registered to $pid",2);
      generate_error_page("Sorry, you may only register a maximum of $maxnodes nodes!");
      return(0);
    }
    
    #node_register($mac, $pid, %info);
    my $info;
    foreach my $key (keys %info){
      $info=$key.'="'.$info{$key}.'",';
    }
    chop($info);
    $info=~s/[\(|\)|\/]/ /g;
    my $cmd = $install_dir."/bin/pfcmd 'manage register $mac $pid $info'";
    my $output = qx/$cmd/;
    pflogger("calling $install_dir/bin/pfcmd 'manage register $mac $pid $info'");

    my $count = violation_count($mac);

    if ($count == 0) {
      if ($Config{'network'}{'mode'} =~ /passive/i) {
        my $cmd = $install_dir."/bin/pfcmd manage freemac $mac";
        my $output = qx/$cmd/;
      }
      generate_release_page($destination_url);
      pflogger("registration url = $destination_url");
    } else {
      print $q->redirect("/cgi-bin/redir.cgi?destination_url=$destination_url");
      pflogger("more violations yet to come for $mac ");
    }

  } elsif ($params{'mode'} eq "status") {
    if (trappable_ip($ip)) {
      generate_status_page($mac);
    } else {
      generate_error_page("Access denied: not a trappable IP!");
    }
  } elsif ($params{'mode'} eq "deregister") {
    #node_deregister($mac);
    my $cmd = $install_dir."/bin/pfcmd manage deregister $mac";
    my $output = qx/$cmd/;
    #trapmac($mac);
    print $q->redirect("/cgi-bin/register.cgi");
  }  else {
    generate_error_page("Incorrect mode!");
  }
} else {
  generate_registration_page($params{'destination_url'});
}
