Summary: PacketFence network registration / worm mitigation system
Name: packetfence
Version: 1.6.0rc3
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://www.packetfence.org
AutoReqProv: 0

Packager: PacketFence Support <support@packetfence.org>
Vendor: PacketFence, http://www.packetfence.org

Source: http://internap.dl.sourceforge.net/sourceforge/packetfence/%{name}-%{version}.tar.gz

Requires: perl >= 5.8.0, perl-suidperl, httpd, mod_ssl, php, php-gd, libpcap, libxml2, zlib, zlib-devel, coreutils
Requires: gcc, mysql, perl-DBD-MySQL

%description

PacketFence is an open-source solution developed to solve many of
the issues confronted by IT staffs at universities with large
residential populations.  Specifically, PacketFence provides for
the following:

* Passive or in-line operation
* Network registration
* Worm/Bot detection/isolation
* User-directed mitigation
* Proactive vulnerability scans

%prep
%setup -n pf

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -D -m0755 packetfence.init %{buildroot}%{_initrddir}/packetfence
%{__install} -d -D /usr/local/pf

%pre

if ! /usr/bin/id pf &>/dev/null; then
	/usr/sbin/useradd -r -d "/usr/local/pf" -s /bin/sh -c "PacketFence" -M pf || \
		echo Unexpected error adding user "pf" && exit
fi

#if [ ! `tty | cut -c0-8` = "/dev/tty" ];
#then
#  echo You must be on a directly connected console to install this package!
#  exit
#fi

if [ ! `id -u` = "0" ];
then
  echo You must install this package as root!
  exit
fi

#if [ ! `cat /proc/modules | grep ^ip_tables|cut -f1 -d" "` = "ip_tables" ];
#then
#  echo Required module "ip_tables" does not appear to be loaded - now loading
#  /sbin/modprobe ip_tables
#fi

%post
echo "Adding PacketFence startup script"
/sbin/chkconfig --add packetfence
for service in snortd httpd named 
do
  if /sbin/chkconfig --list | grep $service > /dev/null 2>&1; then
    echo "Disabling $service startup script"
    /sbin/chkconfig --del $service > /dev/null 2>&1
  fi
done

#touch /usr/local/pf/conf/dhcpd/dhcpd.leases && chown pf:pf /usr/local/pf/conf/dhcpd/dhcpd.leases

if [ -e /etc/logrotate.d/snort ]; then
  echo Removing /etc/logrotate.d/snort - it kills snort every night
  rm -f /etc/logrotate.d/snort
fi

if [ -d /usr/local/pf/html/user/content/docs ]; then
  echo Removing legacy docs directory
  rm -rf /usr/local/pf/html/user/content/docs
fi

echo Installation complete
echo "  * Please cd /usr/local/pf && ./installer.pl to install necessary Perl modules and configure PF"
echo "  * Be aware the we have switched from MD5 to crypt hashing - you must regenerate all passwords"
echo "    in /usr/local/pf/conf/admin.conf.  Execute 'htpasswd /usr/local/pf/conf/admin.conf <username>"
%preun
if [ $1 -eq 0 ] ; then
	/sbin/service packetfence stop &>/dev/null || :
	/sbin/chkconfig --del packetfence
fi
#rm -f /usr/local/pf/conf/dhcpd/dhcpd.leases

%postun
if [ $1 -eq 0 ]; then
	/usr/sbin/userdel pf || %logmsg "User \"pf\" could not be deleted."
#	/usr/sbin/groupdel pf || %logmsg "Group \"pf\" could not be deleted."
#else
#	/sbin/service pf condrestart &>/dev/null || :
fi

%files

%defattr(-, pf, pf)
%config %{_initrddir}/packetfence
%dir /usr/local/pf
%dir /usr/local/pf/bin
/usr/local/pf/bin/dhcp_dumper
/usr/local/pf/bin/externalapi
%attr(6755, root, root) /usr/local/pf/bin/pfcmd
/usr/local/pf/bin/pfdetect
/usr/local/pf/bin/pfredirect
/usr/local/pf/bin/pfmon
/usr/local/pf/bin/pfwatcher
%config(noreplace) /usr/local/pf/bin/lookup_node.pl
%config(noreplace) /usr/local/pf/bin/lookup_person.pl
/usr/local/pf/bin/start
/usr/local/pf/bin/stop
/usr/local/pf/bin/ip2interface.pl
%dir /usr/local/pf/cgi-bin
#%attr(6755, root, root) /usr/local/pf/cgi-bin/redir.cgi
#%attr(6755, root, root) /usr/local/pf/cgi-bin/register.cgi
#%attr(6755, root, root) /usr/local/pf/cgi-bin/release.cgi
/usr/local/pf/cgi-bin/pdp.cgi
/usr/local/pf/cgi-bin/redir.cgi
/usr/local/pf/cgi-bin/register.cgi
/usr/local/pf/cgi-bin/release.cgi
%dir /usr/local/pf/conf
#%config(noreplace) /usr/local/pf/conf/pf.conf
%config(noreplace) /usr/local/pf/conf/violations.conf
%config(noreplace) /usr/local/pf/conf/sysctl.conf
#%config /usr/local/pf/conf/services.conf
%config /usr/local/pf/conf/ui.conf
%config /usr/local/pf/conf/ui-global.conf
%config /usr/local/pf/conf/pf.conf.defaults
%config /usr/local/pf/conf/documentation.conf
/usr/local/pf/conf/pf-release
%config /usr/local/pf/conf/dhcp_fingerprints.conf
%config /usr/local/pf/conf/oui.txt
%dir /usr/local/pf/contrib/lookup
/usr/local/pf/contrib/lookup/*
%dir /usr/local/pf/contrib/mrtg
/usr/local/pf/contrib/mrtg/*
%dir /usr/local/pf/html/user
%dir /usr/local/pf/html/user/3rdparty
/usr/local/pf/html/user/3rdparty/timerbar.js
%dir /usr/local/pf/html/user/content
%dir /usr/local/pf/html/user/content/index.php
%dir /usr/local/pf/html/user/content/style.php
%dir /usr/local/pf/html/user/content/images
/usr/local/pf/html/user/content/images/*
%dir /usr/local/pf/html/user/content/templates
/usr/local/pf/html/user/content/templates/*
%dir /usr/local/pf/html/user/content/violations
%config(noreplace) /usr/local/pf/html/user/content/violations/*
%dir /usr/local/pf/html/admin
/usr/local/pf/html/admin/*
%dir /usr/local/pf/html/common
/usr/local/pf/html/common/*
%dir /usr/local/pf/conf/dhcpd
%dir /usr/local/pf/conf/named
/usr/local/pf/conf/named/*
%dir /usr/local/pf/conf/snort
/usr/local/pf/conf/snort/classification.config
/usr/local/pf/conf/snort/reference.config
/usr/local/pf/conf/snort/local.rules
/usr/local/pf/conf/snort/bleeding-all.rules
%dir /usr/local/pf/conf/ssl
%config(noreplace) /usr/local/pf/conf/ssl/server.crt
%config(noreplace) /usr/local/pf/conf/ssl/server.key
%dir /usr/local/pf/conf/users
%dir /usr/local/pf/conf/templates
/usr/local/pf/conf/templates/dhcpd.conf
/usr/local/pf/conf/templates/httpd.conf
/usr/local/pf/conf/templates/ldap.conf
/usr/local/pf/conf/templates/ldap-rudedog.conf
/usr/local/pf/conf/templates/local.conf
/usr/local/pf/conf/templates/named.conf
/usr/local/pf/conf/templates/radius.conf
/usr/local/pf/conf/templates/kerb.conf
/usr/local/pf/conf/templates/snort.conf
/usr/local/pf/conf/templates/sysctl.conf
%dir /usr/local/pf/conf/templates/configurator
/usr/local/pf/conf/templates/configurator/*
%config(noreplace) /usr/local/pf/conf/templates/popup.msg
%config(noreplace) /usr/local/pf/conf/templates/listener.msg
%dir /usr/local/pf/db
/usr/local/pf/db/*
%dir /usr/local/pf/docs
/usr/local/pf/docs/*
%dir /usr/local/pf/lib
%dir /usr/local/pf/var/session
%dir /usr/local/pf/lib/pf
/usr/local/pf/lib/pf/*
%dir /usr/local/pf/lib/apache
/usr/local/pf/lib/apache/*
%dir /usr/local/pf/logs
/usr/local/pf/var/alert
/usr/local/pf/configurator.pl
/usr/local/pf/installer.pl
%doc /usr/local/pf/CHANGES
%doc /usr/local/pf/COPYING
%doc /usr/local/pf/README

%changelog
* Wed Jun 28 2006 - Kevin Amorin
-rc3 changes
* Wed Mar 8 2006 - Kevin Amorin
-1.6 changes
* Wed Jun 22 2005 - Kevin Amorin
-Changes for 1.5 beta1 release
* Mon Apr 04 2005 - David LaPorte
- Still more changes
* Mon Jan 17 2005 - David LaPorte
- Lots o' changes
* Sat Jan 15 2005 - David LaPorte
- Initial package
